Skip to content
StraventaDocs
Now in Sandbox.

List registers in merchant scope

GET
/api/pos/v1/registers

Returns all registers across all stores in the caller's merchant scope. Requires pos.store.read or equivalent.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Response Body

application/json

application/json

curl -X GET https://sandbox.505pay.link/api/pos/v1/registers \  -H "Authorization: Bearer $TOKEN" \  -H "Content-Type: application/json"
{
  "registers": [
    {
      "id": "018f4d9f-7b8a-7c2d-9a2d-1f8b92f6d102",
      "store_id": "018f4d9f-7b8a-7c2d-9a2d-1f8b92f6d101",
      "label": "Register 1",
      "status": "active"
    }
  ],
  "total": 1
}
Empty
Empty
{
  "error": "rate_limit_exceeded",
  "message": "Too many requests to /v1/check",
  "request_id": "018f4d9f-7b8a-7c2d-9a2d-1f8b92f6ffff"
}

Was this page helpful?